<?php

namespace App\Modules\Shared\Domain\QueryBuilder\Operator;

class OperatorLessThanEqual implements Operator
{
    public function __construct(
        public string $key,
        public string $value
    ) {}

    public function query(): string
    {
        return "{$this->key} <= ?";
    }

    public function values(): array
    {
        return [$this->value];
    }
}
